commit d9f580c3cb419e77474da507eef20f1c81ecff32 (HEAD, tag: v1.47.0, origin/master, origin/HEAD, master)
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update doc
    
    Bring back clang because we need it to compile bpf program.

commit f6b05a0111b99ad87bf58bc833298223506c98e3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update doc

commit 0353da4605fe6134aeb2c4ca92910e0758824849
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update bash_completion

commit 039ff29a2fb3318eace4155b3398f222000bf790
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update manual pages

commit 385a28c7f1cbffbccd9d387c8310fc769d8d4547
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update doc
    
    rlimit-memlock is not required anymore.

commit 89e49f10662f330e4adabd19eb98953a0452d324
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Dockerfile: Pin ngtcp2 and nghttp3 versions

commit abd6bb6818fbf918143ed775e2baa48d8fe08915
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Bump package and library versions

commit ad2fbea08743420be11988e08be3ca77ee6d9f28
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-23

    Update AUTHORS

commit 47cc36969ab81e4e8b2a1b58a381c73620663704
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-21

    Bump libbpf in Dockerfile

commit 830cf1e294b5a3918d8aa2c430d2e2b3c1162eda
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-21

    Bump libbpf to v0.7.0 and turn on all strict features

commit a22f2cfcc803b0b5cd6b77c24060c8a1a8078808
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-19

    Bump ngtcp2 and nghttp3

commit f3d4b4f846a7f72929b70c23a0223be52b8daf07
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-18

    nghttpx: Fix bug that h3 stream ends prematurely

commit a6537cb9ce3300629e2f2d5529cf57cfb2be8d92
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-12

    Fix compile error

commit 79524471b4c545b28a5908f4687ce20e790f2226
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-12

    nghttpx: Add --require-http-scheme option

commit a67822b3828a71b2993a68202465148c0fa3f228
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    Bump llhttp to v6.0.6

commit 79da3fdedc7274c515844c1833c23b43864c5014
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    Revert "Bump llhttp to 836430e892862ed6462f6197417eba8e17378956"
    
    This reverts commit b5d74d7c9d38af45542ab6d4db59d5337343d964.

commit b5d74d7c9d38af45542ab6d4db59d5337343d964
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    Bump llhttp to 836430e892862ed6462f6197417eba8e17378956

commit 385abf10f7b114cda65c35210d1cce886a2c5153
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    nghttpx: Add support QUIC BBR2

commit f3206b12d5362763b1b18bd045f525959b31cf5e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    Update doc

commit b70fdca9acabfd7781e8a05b8b75b117cc284424
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    h2load: Handle EAGAIN/EWOULDBLOCK from sendmsg

commit bd3cc94a365f6d19bfdddb23ad8d139d0357a132
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-10

    Use nullptr for C++ code

commit 02f2336ab1844afe4f80ab48fa815b353eb59816
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-09

    Bump libbpf to v0.6.1

commit 832d811982e4a094b7626dc5981b7945ee4c4f2c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-08

    Remove appveyor.yml

commit 637f3d7b33c3de3bb17c7ab64aa4e87f9c46a8f1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-08

    Windows build on GitHub Actions

commit 254f2b3c4294227983b15ad7558fb86d67c4057c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-08

    Remove macos + gcc ci build to speed up ci build time

commit 633691e164e8c3935fb3085751649112c2da5b52
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-08
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-08

    Remove .travis.yml

commit 01bcc72f66674d8f0aee8358c767c9cca56475ca
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-03

    nghttpx: Handle EAGAIN/EWOULDBLOCK from sendmsg

commit 7ca255ff54be6d10cf0f82d137b7b2528f9f1c9f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-02

    Fix docker build error

commit 6430c98e86e90d53d0895d90ee64141c706857df
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-02-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-02-02

    Compile with the latest ngtcp2

commit 32c2557bb74b8fc12973a60e9e532ff3dbfa57b7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-26

    Bump nghttp3

commit 3122a8390035a6c8bcbea38be542df7291d697c2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    h2load: Set quic error code based on error from ngtcp2_conn_read_pkt

commit 75272a817e9a6da4cbd42d698d576cc4f02d4917
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    h2load: Fix ngtcp2 callback error code

commit 809d5af43e2eba903f8e7c0ceaa5892a6cbbb1e9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    nghttpx: Fix invalid error code

commit 3b549caf90475b34717fc837a1bfbe2fde02a120
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    clang-format

commit 42b659354d4490ca509848935b9bc23ddd06c7f9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    nghttpx: Support h3 trailer fields

commit 227532779439062705991a86de5f335962ba9754
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    nghttpx: Fix the issue that forwarded h3 GET request always has chunked TE

commit 02a564934378926881fad374167eca9e7a840080
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-23

    Require ngtcp2 >= 0.1.0 and nghttp3 >= 0.1.0

commit 3b0b9a458c9fccdb74002d54d12c6c6ed549de3e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-22

    Build docker image with ngtcp2 v0.1.0

commit 6e6388e7c25e232937704460e7b50fe0ebb46943
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-22
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-22

    Depend on nghttp3 v0.1.1

commit ea6f0c641d9f224ee84806284f62e439e39f90cd
Merge: c883b18f abc15c69
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-01-19
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-19

    Merge pull request #1643 from nwtgck/fix-example-quotes
    
    fix quotes in --altsvc example

commit c883b18f2d46a05915ff135c00f892e12b8ba032
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-16

    Pin quic dependency

commit 97e69f7416c6a3f411c9fb901d17cec9cc558f29
Merge: 8a552631 ad0c9eeb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-16

    Merge branch 'rex4539-typos'

commit ad0c9eebf780f30351998391a17b6ab618e9e1e6
Author:     Dimitris Apostolou <dimitris.apostolou@icloud.com>
AuthorDate: 2022-01-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-16

    Fix typos

commit 8a552631b4e64851018947a44b98fa022133fa81
Merge: cff81069 deb390cf
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-11

    Merge pull request #1667 from nghttp2/keep-hd-table-size
    
    Fix decoder table size update

commit cff810690822db09bd81c701f4754ebfe451cce3
Merge: 4eb49ac2 e1446fd5
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-11

    Merge pull request #1665 from c0bw3b/cleanup/spdy
    
    Remove SPDY option for CMake

commit 4eb49ac28e89ae7d0a0cfa1e614be838b3998723
Merge: d91ae698 8ddb2273
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2022-01-11
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-11

    Merge pull request #1666 from Kludex/patch-1
    
    Update nghttp2.pyx

commit deb390cf858f4a5c31b9a69630478762041bde64
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-11

    Fix decoder table size update
    
    When applying new header table size acknowledged with SETTINGS ACK by
    an encoder, change the header table size on a decoder only when it
    strictly lowers the current maximum table size set by Dynamic Table
    Size Update from the encoder or the default size 4096 if no Dynamic
    Table Size Update is received.
    
    Previously, the header table size on a decoder is always changed.  If
    a maximum size in SETTINGS are increased (e.g., 4096 -> 8192), and
    then decreased to the previous value, the decoder incorrectly requires
    Dynamic Table Size Update from an encoder.

commit d91ae6987dc73b8f16a6250e2b358ed5e403b153
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2022-01-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2022-01-11

    Compile with the latest ngtcp2

commit 8ddb2273b960dc161dfd9b3332ae389b0b5eb11d
Author:     Marcelo Trylesinski <marcelotryle@gmail.com>
AuthorDate: 2022-01-01
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-01

    Update nghttp2.pyx

commit e1446fd57a4af5aa6bf02c628f47a7f664a1f83e
Author:     Renaud <c0bw3b@users.noreply.github.com>
AuthorDate: 2022-01-01
Commit:     GitHub <noreply@github.com>
CommitDate: 2022-01-01

    Remove SPDY option for CMake
    
    SPDY feature removed in #1091 and release v1.29.0

commit 02e6cad1210fb2586482b2b819c8f015929bd5e1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-12-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-12-19

    Bump quictls/openssl versions

commit 0b053e06d83428ff8c7e6fd88f76b6d42af04f1a
Merge: 344d300c c3c0403d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2021-12-13
Commit:     GitHub <noreply@github.com>
CommitDate: 2021-12-13

    Merge pull request #1657 from nwtgck/patch-2
    
    Make Docker speak HTTP/3

commit c3c0403dfaae0f86e5d334fd19fb93281dbcb06a
Author:     Ryo Ota <nwtgck@nwtgck.org>
AuthorDate: 2021-12-12
Commit:     GitHub <noreply@github.com>
CommitDate: 2021-12-12

    Make Docker speak HTTP/3

commit abc15c696d8f47257e0b592f381ba8e9af861259
Author:     Ryo Ota <nwtgck@nwtgck.org>
AuthorDate: 2021-11-18
Commit:     Ryo Ota <nwtgck@nwtgck.org>
CommitDate: 2021-11-18

    fix quotes in --altsvc example

commit 344d300cf95bdfbd3fe06b9012a4da375181d847
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-16

    Fix cmake CI build

commit dec233b9ef19d0cd81ea9edaa545a2723566a3f8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-16

    cmake: Disable libbpf build by default

commit f695dc999b7e9b3b8855e62055fa53d9e3ee2410
Merge: 3c4449c0 f92f81c0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-14

    Merge branch 'robaho-robaho/issue1639'

commit f92f81c05a656e6f84ba281403ca8a0207a7e6f6
Author:     robaho <rengels@ix.netcom.com>
AuthorDate: 2021-11-13
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-14

    allow setting max frame size for h2load

commit 3c4449c046d04263da53ded448333089b9213a9d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-10

    nghttpx: Use nghttp3 error code

commit 918e4ea46b53d74f3ca217237665dc5de0f2dbab
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-09

    Compile with the latest ngtcp2

commit d14d97ab682dfce91aa1ce6431fb15a925c46772
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-09

    Rename send_stop_sending to stop_sending

commit 2aed077761aa96f4a7891e0736e6463d2c9f2050
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-06

    Merge fd_set_recv_ecn to create_quic_server_socket and handle errors

commit 68b2295f4eed17c08f9c75b35621bfa26c3abe43
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-06

    nghttpx: Set IP_PMTUDISC_DO explicitly

commit 528d177847a98f00c75a0759e1b2d885193bf6f5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-06

    nghttpx: Fix compile error

commit deae6c95b176eff00f547508dc19d2fdc87b89bb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-05

    nghttpx: Send ECN

commit 7eb179069df4d14585a382519416dc371f61ba60
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-05

    Remove useless assignments

commit 47c33b8d03b17fb8b42e29468f63ff3359076917
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-05

    nghttpx: Receive ECN

commit 94372fbe2a6c1afcbe1d7be5580387d0027bcc34
Merge: c4828dbd 9e154297
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-05

    Merge branch 'bagder-version-h3-too'

commit 9e154297ff414b243759a0eca34befb9fb94f823
Author:     Daniel Stenberg <daniel@haxx.se>
AuthorDate: 2021-11-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-05

    shrpx: make nghttpx -v show ngtcp2 and nghttp3 version as well
    
    ... if HTTP/3 support is built in.

commit c4828dbd7cc12433dc84310a5591615da04ac9a5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-11-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-11-03

    h2load: Fix assertion failure with the latest ngtcp2

commit 0d16db2c65d8678fe7311c7db6b3aed85bac7832
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-30

    Use quictls 1.1.1l for now because 3.0.0 is much slower

commit fb63ef305def619d180604474a35597b30fb3bc6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-30

    Update doc

commit 089fc81d729c33a7d8810837c809aa6352d2c257
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-29

    Change qlog file extension to .sqlog
    
    Change qlog file extension to .sqlog because upstream ngtcp2 moves to
    JSON-SEQ streaming qlog format.

commit c20d175ff2011dd71f348ff1d17c9d2e68663276
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-29

    Guard RLIMIT_MEMLOCK usage

commit 3985957c4d0de756ac6199fba918e5345bef4e77
Merge: 845a20b5 59a76c6d
Author:     Tatsuhiro Tsujikawa <404610+tatsuhiro-t@users.noreply.github.com>
AuthorDate: 2021-10-29
Commit:     GitHub <noreply@github.com>
CommitDate: 2021-10-29

    Merge pull request #1625 from codebytere/fix-unreachable-return
    
    chore: fix `-Wunreachable-code-return`

commit 845a20b5827cf7aa8dc9e9a7956b150963e5e6a5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2021-10-19
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2021-10-19

    Bump version number to 1.47.0-DEV

commit 59a76c6d39cb17b79e3bcab6c9f7b90fdeef754b
Author:     Shelley Vohr <shelley.vohr@gmail.com>
AuthorDate: 2021-10-11
Commit:     Shelley Vohr <shelley.vohr@gmail.com>
CommitDate: 2021-10-11

    chore: fix -Wunreachable-code-return
